/*
**	Copyright 2000 Be Incorporated. All Rights Reserved.
**	This file may be used under the terms of the Be Sample Code 
**	License.
*/

/* This implements a line segment */

#include <SupportKit.h>
#include "CadItem.h"

class _EXPORT SegmentItem : public CadItem {
public:
	SegmentItem(BPoint, BPoint);

//stuff for the archive protocol
	SegmentItem(BMessage *archive);
	virtual status_t Archive(BMessage *archive, bool deep) const;
	static BArchivable *Instantiate(BMessage *archive);
	
	void DrawItem(BView *owner);

private:
	BPoint fStart;
	BPoint fEnd;
};
